<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/login"
        android:orientation="vertical"
        tools:layout_editor_absoluteX="86dp"
        tools:layout_editor_absoluteY="168dp">

        <LinearLayout
            android:id="@+id/account_layout"
            android:layout_width="match_parent"
            android:layout_height="221dp"
            android:layout_gravity="center"
            android:layout_marginTop="300dp"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="horizontal">

            <View
                android:layout_width="1dip"
                android:layout_height="fill_parent"
                android:layout_gravity="center_horizontal"
                android:background="#E2E2E2" />

            <EditText
                android:id="@+id/account"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginRight="20dp"
                android:foregroundTint="#D90E0E"
                android:hint="@string/account"
                android:inputType="text"
                android:selectAllOnFocus="true"
                android:singleLine="false"
                android:textColor="#000"
                android:textColorHint="#ccc"
                android:textScaleX="1"
                android:theme="@style/MyEditText" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/go_on_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginRight="20dp"
            android:layout_weight="2"
            android:gravity="right"
            android:orientation="vertical">

            <Button
                android:id="@+id/go_on"
                android:layout_width="70dp"
                android:layout_height="36dp"
                android:background="@drawable/login_button"
                android:onClick="go_on_click"
                android:text="@string/go_on"
                android:textColor="#fff"
                tools:ignore="OnClick" />
        </LinearLayout>

        <LinearLayout
            android:id="@+id/edit_security_part"
            android:layout_width="match_parent"
            android:layout_height="200dp"
            android:layout_marginLeft="30dp"
            android:layout_marginTop="300dp"
            android:layout_marginRight="30dp"
            android:orientation="vertical">

            <com.example.watch.ui.activity.SecurityCodeView
                android:id="@+id/edit_security_code"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="24dp"
                android:layout_marginTop="21dp"
                android:layout_marginRight="24dp"
                android:gravity="center_horizontal"
                tools:ignore="MissingClass" />

            <TextView
                android:id="@+id/tv_text"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="20dp"
                android:layout_marginTop="30dp"
                android:layout_marginRight="20dp"
                android:text="@string/tv_user_agreement"
                android:textColor="#AACC03" />

            <LinearLayout
                android:id="@+id/login_button_layout"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:layout_marginRight="20dp"
                android:layout_weight="2"
                android:gravity="right"
                android:orientation="vertical">
                <Button
                    android:id="@+id/login_btn"
                    android:layout_width="70dp"
                    android:layout_height="36dp"
                    android:background="@drawable/login_button"
                    android:text="@string/login_btn"
                    android:textColor="#fff"
                    tools:ignore="OnClick" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>